<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div {
            width: 50px;
            height: 50px;
            background-color: goldenrod;
            position: absolute;
            animation-name: simple-animation;
            animation-duration: 2s;
            animation-delay: 0s;
            animation-iteration-count: infinite;
            /*Rapido al principio, lento al final*/
            animation-timing-function: ease-out;
            animation-direction: normal;
        }

        @keyframes simple-animation {
            0% {
                left: 0;
            }

            25% {
                left: 200px;
                background-color: rgb(245, 218, 149);
                transform: rotate(180deg);
                width: 100px;
                height: 100px;
            }

            50% {
                left: 400px;
                background-color: goldenrod;
                transform: rotate(360deg);
                width: 50px;
                height: 50px;
            }

            75% {
                left: 200px;
                background-color: rgb(245, 218, 149);
                transform: rotate(180deg);
                width: 100px;
                height: 100px;
            }

            100% {
                left: 0;
                background-color: goldenrod;
                transform: rotate(0deg);
                width: 50px;
                height: 50px;
            }
        }
    </style>
</head>

<body>
    <div></div>
</body>

</html>